{% extends "base.html.twig" %}

{% block body %}
	<section id="main" class="home">

		<a href="#tricks" class="arrow-anchor p-4">
			<i class="fa-solid fa-arrow-down fa-2xl text-black"></i>
		</a>
	</section>
	<section id="tricks" class="tricks" style="position: relative;">
		{% if app.user %}
			<div class="d-flex justify-content-end">
				<div class="p-1 m-2">
					<a href="/ajouter" type="button" class="btn btn-dark btn-lg">
						Ajouter une figure
					</a>
				</div>
			</div>
		{% endif %}
		<div class="p-5">
			<div class="row">
				{% for figure in figures %}
					<div class=" col-xl-3 col-lg-4 col-md-6 col-sm-12 p-3">
						<div class="card" style="width: 18rem; height: 17rem;">
							{% if figure.illustrations.first.url is defined %}
								<img src="{{figure.illustrations.first.url}}" class="card-img-top" alt="...">
							{% else %}
								<img src="https://images.pexels.com/photos/257961/pexels-photo-257961.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" class="card-img-top" alt="...">
							{% endif %}
							<div class="card-body">
								<div class="d-flex justify-content-between">
									<div>
										<a href="{{path('figure_detail', {'slug': figure.slug})}}" class="fs-5">{{ figure.nom }}</a>
									</div>
									<div>
										{% if app.user %}
											<a href="{{path('figure_modifier', {'slug': figure.slug})}}" class="pen">
												<i class="fa-solid fa-pen mx-2"></i>
											</a>
											<a href="{{path('accueil', {'del_slug': figure.slug})}}#tricks" class="deleteIcon">
												<i class="fa-solid fa-trash"></i>
											</a>
										{% endif %}
									</div>
								</div>

							</div>
						</div>
					</div>
				{% endfor %}
			</div>
		</div>

		<div class="d-flex justify-content-center p-2">
			<a href="{{path('accueil', {'page': page + 1})}}#tricks" class="btn btn-dark bg-lg">charger plus des figures</a>

		</div>


		<a href="#tricks" class="arrow-anchor p-4">
			<i class="fa-solid fa-arrow-up fa-2xl text-black"></i>
		</a>
	</section>
	{% if del_slug is defined and del_slug %} 
		<div class="modal" id="myModal">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
					</div>
					<h4 class="modal-body">
						Voulez-vous supprimer cette figure ?

					</h4>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Non</button>
						<a href="{{path('figure_delete', {'slug': del_slug})}}" type="button" class="btn btn-primary">
							Oui
						</a>
					</div>
				</div>
			</div>
		</div>
	{% endif %}

{% endblock %}
